## ocsync 0.70.4

=== CMakeLists.txt ===
project(ocsync C)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)

# global needed variables
set(APPLICATION_NAME ${PROJECT_NAME})

set(APPLICATION_VERSION_MAJOR "0")
set(APPLICATION_VERSION_MINOR "70")
set(APPLICATION_VERSION_PATCH "4")

set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")

set(LIBRARY_VERSION "0.2.0")
set(LIBRARY_SOVERSION "0")

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake/Modules
)

# add definitions
include(DefineCMakeDefaults)
include(DefinePlatformDefaults)
include(DefineCompilerFlags)
include(DefineOptions.cmake)
include(CPackConfig.cmake)

include(DefineInstallationPaths)
# install .dlls to bin/
set(BIN_INSTALL_DIR "bin" CACHE PATH "-")

# disallow in-source build
include(MacroEnsureOutOfSourceBuild)
macro_ensure_out_of_source_build("${PROJECT_NAME} requires an out of source build. Please create a separate build directory and run 'cmake /path/to/${PROJECT_NAME} [options]' there.")

# add macros
include(MacroAddPlugin)
include(MacroCopyFile)

find_package(Iconv)
find_package(CMocka)
if (CMOCKA_FOUND AND UNIT_TESTING)
    include(AddCMockaTest)
endif (CMOCKA_FOUND AND UNIT_TESTING)

include(ConfigureChecks.cmake)


set(SOURCE_DIR ${CMAKE_SOURCE_DIR})

include_directories(${CMAKE_CURRENT_BINARY_DIR})

macro_copy_file(${CMAKE_CURRENT_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_CURRENT_BINARY_DIR}/CTestCustom.cmake)

if (MEM_NULL_TESTS)
  add_definitions(-DCSYNC_MEM_NULL_TESTS)
endif (MEM_NULL_TESTS)

add_subdirectory(src)
add_subdirectory(modules)
add_subdirectory(client)
add_subdirectory(config)
add_subdirectory(doc)

if (CMOCKA_FOUND AND UNIT_TESTING)
    add_subdirectory(tests)
endif (CMOCKA_FOUND AND UNIT_TESTING)

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file(config_test.h.cmake  ${CMAKE_CURRENT_BINARY_DIR}/config_test.h)

=== modules/CMakeLists.txt ===
project(modules C)

find_package(Libsmbclient)
find_package(LibSSH 0.4.0)
find_package(Neon)

set(PLUGIN_VERSION_INSTALL_DIR "${PLUGIN_INSTALL_DIR}-${LIBRARY_SOVERSION}")

set(MODULES_PUBLIC_INCLUDE_DIRS
  ${CMAKE_CURRENT_SOURCE_DIR}
  CACHE INTERNAL "modules include directories"
)

set(MODULES_PRIVATE_INCLUDE_DIRS
  ${CSTDLIB_PUBLIC_INCLUDE_DIRS}
  ${CSYNC_PUBLIC_INCLUDE_DIRS}
)

set(SMB_PLUGIN
  ocsync_smb
)

set(SFTP_PLUGIN
  ocsync_sftp
)

set(OWNCLOUD_PLUGIN
  ocsync_owncloud
)

include_directories(
  ${MODULES_PUBLIC_INCLUDE_DIRS}
  ${MODULES_PRIVATE_INCLUDE_DIRS}
)

if(LIBSMBCLIENT_FOUND)
include_directories(${LIBSMBCLIENT_INCLUDE_DIRS})
macro_add_plugin(${SMB_PLUGIN} csync_smb.c)
target_link_libraries(${SMB_PLUGIN} ${CSYNC_LIBRARY} ${LIBSMBCLIENT_LIBRARIES})

install(
  TARGETS
    ${SMB_PLUGIN}
  DESTINATION
    ${PLUGIN_VERSION_INSTALL_DIR}
)
endif()

macro_add_plugin(ocsync_dummy csync_dummy.c)
target_link_libraries(ocsync_dummy ${CSYNC_LIBRARY})

if (LIBSSH_FOUND)
macro_add_plugin(${SFTP_PLUGIN} csync_sftp.c)
target_link_libraries(${SFTP_PLUGIN} ${CSYNC_LIBRARY} ${LIBSSH_LIBRARIES})

install(
  TARGETS
    ${SFTP_PLUGIN}
  DESTINATION
    ${PLUGIN_VERSION_INSTALL_DIR}
)
endif (LIBSSH_FOUND)

if (NEON_FOUND)
    include_directories( ${NEON_INCLUDE_DIRS} )
    macro_add_plugin(${OWNCLOUD_PLUGIN} csync_owncloud.c)
    target_link_libraries(${OWNCLOUD_PLUGIN} ${CSYNC_LIBRARY} ${NEON_LIBRARIES})

    install(
        TARGETS
	${OWNCLOUD_PLUGIN}
        DESTINATION
        ${PLUGIN_VERSION_INSTALL_DIR}
        )
endif (NEON_FOUND)

# create test file as bad plugin for the vio testcase
file(WRITE
  ${CMAKE_CURRENT_BINARY_DIR}/ocsync_bad.so
  "bad plugin"
)

=== src/CMakeLists.txt ===
project(libcsync C)

add_subdirectory(std)

# Statically include sqlite and iniparser
if (CSYNC_STATIC_COMPILE_DIR)
    set(SQLITE3_INCLUDE_DIRS "")
    set(SQLITE3_LIBRARIES "")
    set(INIPARSER_LIBRARIES "")
    set(INIPARSER_INCLUDE_DIRS "")
    include_directories(${CSYNC_STATIC_COMPILE_DIR})
else (CSYNC_STATIC_COMPILE_DIR)
    find_package(SQLite3 REQUIRED)
    find_package(Iniparser REQUIRED)
endif()


set(CSYNC_PUBLIC_INCLUDE_DIRS
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}
  CACHE INTERNAL "csync public include directories"
)

set(CSYNC_PRIVATE_INCLUDE_DIRS
  ${INIPARSER_INCLUDE_DIRS}
  ${SQLITE3_INCLUDE_DIRS}
  ${CSTDLIB_PUBLIC_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}
)

set(CSYNC_LIBRARY
  ocsync
  CACHE INTERNAL "ocsync library"
)

set(CSYNC_LINK_LIBRARIES
  ${CSYNC_LIBRARY}
  ${CSTDLIB_LIBRARY}
  ${CSYNC_REQUIRED_LIBRARIES}
  ${INIPARSER_LIBRARIES}
  ${SQLITE3_LIBRARIES}
)

if(ICONV_FOUND AND WITH_ICONV)
    list(APPEND CSYNC_PRIVATE_INCLUDE_DIRS ${ICONV_INCLUDE_DIRS})
    list(APPEND CSYNC_LINK_LIBRARIES ${ICONV_LIBRARIES})
endif()

set(csync_SRCS
  csync.c
  csync_config.c
  csync_exclude.c
  csync_log.c
  csync_statedb.c
  csync_dbtree.c
  csync_time.c
  csync_util.c
  csync_misc.c

  csync_update.c
  csync_reconcile.c
  csync_propagate.c

  vio/csync_vio.c
  vio/csync_vio_handle.c
  vio/csync_vio_file_stat.c
  vio/csync_vio_local.c
)

if(NOT WIN32)
  list(APPEND csync_SRCS csync_lock.c)
endif()

set(csync_HDRS
  csync.h
  vio/csync_vio.h
  vio/csync_vio_file_stat.h
  vio/csync_vio_handle.h
  vio/csync_vio_method.h
  vio/csync_vio_module.h
)

# Statically include sqlite and iniparser
if (CSYNC_STATIC_COMPILE_DIR)
    list(APPEND csync_SRCS ${CSYNC_STATIC_COMPILE_DIR}/dictionary.c ${CSYNC_STATIC_COMPILE_DIR}/iniparser.c ${CSYNC_STATIC_COMPILE_DIR}/sqlite3.c)
endif()

include_directories(
  ${CSYNC_PUBLIC_INCLUDE_DIRS}
  ${CSYNC_PRIVATE_INCLUDE_DIRS}
)

add_library(${CSYNC_LIBRARY} SHARED ${csync_SRCS})

target_link_libraries(${CSYNC_LINK_LIBRARIES})

set_target_properties(
  ${CSYNC_LIBRARY}
    PROPERTIES
      VERSION
        ${LIBRARY_VERSION}
      SOVERSION
        ${LIBRARY_SOVERSION}
)

INSTALL(
  TARGETS
    ${CSYNC_LIBRARY}
  LIBRARY DESTINATION
    ${LIB_INSTALL_DIR}
  ARCHIVE DESTINATION
    ${LIB_INSTALL_DIR}
  RUNTIME DESTINATION
    ${BIN_INSTALL_DIR}
)

INSTALL(
  FILES
    ${csync_HDRS}
  DESTINATION
    ${INCLUDE_INSTALL_DIR}/${APPLICATION_NAME}
)

=== tests/CMakeLists.txt ===
project(tests C)

set(TORTURE_LIBRARY torture)

include_directories(
  ${CSYNC_PUBLIC_INCLUDE_DIRS}
  ${CSTDLIB_PUBLIC_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}
  ${CMOCKA_INCLUDE_DIR}
)

include_directories(${CHECK_INCLUDE_DIRS})
# create test library
add_library(${TORTURE_LIBRARY} STATIC torture.c cmdline.c)
target_link_libraries(${TORTURE_LIBRARY} ${CMOCKA_LIBRARIES} ${CSYNC_LIBRARY} ${CSTDLIB_LIBRARY})

set(TEST_TARGET_LIBRARIES ${TORTURE_LIBRARY})

# create tests

# std
add_cmocka_test(check_std_c_alloc std_tests/check_std_c_alloc.c ${TEST_TARGET_LIBRARIES})
add_cmocka_test(check_std_c_dir std_tests/check_std_c_dir.c ${TEST_TARGET_LIBRARIES})
add_cmocka_test(check_std_c_file std_tests/check_std_c_file.c ${TEST_TARGET_LIBRARIES})
add_cmocka_test(check_std_c_jhash std_tests/check_std_c_jhash.c ${TEST_TARGET_LIBRARIES})
add_cmocka_test(check_std_c_list std_tests/check_std_c_list.c ${TEST_TARGET_LIBRARIES})
add_cmocka_test(check_std_c_path std_tests/check_std_c_path.c ${TEST_TARGET_LIBRARIES})
add_cmocka_test(check_std_c_rbtree std_tests/check_std_c_rbtree.c ${TEST_TARGET_LIBRARIES})
add_cmocka_test(check_std_c_str std_tests/check_std_c_str.c ${TEST_TARGET_LIBRARIES})
add_cmocka_test(check_std_c_time std_tests/check_std_c_time.c ${TEST_TARGET_LIBRARIES})

# csync tests
# This will be rewritten soon anyway.
#add_cmocka_test(check_logger log_tests/check_log.c ${TEST_TARGET_LIBRARIES})

add_cmocka_test(check_csync_create csync_tests/check_csync_create.c ${TEST_TARGET_LIBRARIES})
if ( NOT WIN32 )
add_cmocka_test(check_csync_lock csync_tests/check_csync_lock.c ${TEST_TARGET_LIBRARIES})
endif( NOT WIN32)
add_cmocka_test(check_csync_log csync_tests/check_csync_log.c ${TEST_TARGET_LIBRARIES})
add_cmocka_test(check_csync_config csync_tests/check_csync_config.c ${TEST_TARGET_LIBRARIES})
add_cmocka_test(check_csync_exclude csync_tests/check_csync_exclude.c ${TEST_TARGET_LIBRARIES})
add_cmocka_test(check_csync_statedb_load csync_tests/check_csync_statedb_load.c ${TEST_TARGET_LIBRARIES})
add_cmocka_test(check_csync_time csync_tests/check_csync_time.c ${TEST_TARGET_LIBRARIES})
add_cmocka_test(check_csync_util csync_tests/check_csync_util.c ${TEST_TARGET_LIBRARIES})

# csync tests which require init
add_cmocka_test(check_csync_init csync_tests/check_csync_init.c ${TEST_TARGET_LIBRARIES})
add_cmocka_test(check_csync_statedb_query csync_tests/check_csync_statedb_query.c ${TEST_TARGET_LIBRARIES})

# vio
add_cmocka_test(check_vio_handle vio_tests/check_vio_handle.c ${TEST_TARGET_LIBRARIES})
add_cmocka_test(check_vio_file_stat vio_tests/check_vio_file_stat.c ${TEST_TARGET_LIBRARIES})
add_cmocka_test(check_vio vio_tests/check_vio.c ${TEST_TARGET_LIBRARIES})

# sync
add_cmocka_test(check_csync_update csync_tests/check_csync_update.c ${TEST_TARGET_LIBRARIES})

add_subdirectory(ownCloud)

=== tests/ownCloud/mocka/CMakeLists.txt ===
project( ocmod C )

add_definitions(-DUNIT_TESTING=1)

find_package(CMocka REQUIRED)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMOCKA_INCLUDE_DIRS}
    ${NEON_INCLUDE_DIRS}
)


add_executable(ocmod_test ocmod_test.c)

target_link_libraries(ocmod_test ${CMOCKA_LIBRARIES} ${NEON_LIBRARIES} ${CSYNC_LIBRARY} )

=== debian/changelog ===
ocsync (0.70.4-0ubuntu1) raring; urgency=low

  * Ubuntu upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Mar 2013 17:08:01 +0000

ocsync (0.70.4) UNRELEASED; urgency=low

  * bump revision 

 -- Sandro Knauß <bugs@sandroknauss.de>  Tue, 05 Mar 2013 04:22:48 +0100

ocsync (0.70.3-1) experimental; urgency=low

  * Initial release for debian. (Closes: #699690) 

 -- Sandro Knauß <bugs@sandroknauss.de>  Sat, 09 Feb 2013 17:30:09 +0100

csync-owncloud (0.50.8-0ubuntu2) quantal; urgency=low

  * Use mhash instead of OpenSSL to calculate MD5 hashes to avoid
    GPL+OpenSSL license conflicts.
  * Add a symbols file.
  * Enable parallel building.
  * Install csync user guide.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 22 Aug 2012 11:38:47 +0200

csync-owncloud (0.50.8-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Aug 2012 16:56:40 +0100

csync-owncloud (0.50.7-0ubuntu1) quantal; urgency=low

  * Initial release.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jul 2012 16:44:59 +0100

=== debian/control ===
Source: ocsync
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Sandro Knauß <bugs@sandroknauss.de>
Build-Depends: debhelper (>= 9), cmake (>= 2.8.5), libsqlite3-dev, libneon27-gnutls-dev, libssh-dev, 
 libsmbclient-dev, check, asciidoc
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-owncloud/ocsync.git
Vcs-browser: http://git.debian.org/?p=pkg-owncloud/ocsync.git
Homepage: http://owncloud.org/dev/sync-clients/linux-build/

Package: ocsync
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libocsync0 (= ${binary:Version})
Description: user level bidirectional client only file synchronizer
 csync is an implementation of a file synchronizer which provides the
 feature of roaming home directories for Linux clients.
 .
 This is the version of csync used by OwnCloud.

Package: libocsync0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: libocsync-plugin-smb, libocsync-plugin-sftp
Description: library for user level bidirectional client only file synchronizer
 This is the major library for csync.
 .
 csync is an implementation of a file synchronizer which provides the
 feature of roaming home directories for Linux clients.
 .
 This is the version of csync used by OwnCloud.

Package: libocsync-plugin-smb
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libocsync0 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: SMB plugin for csync
 This plug-in allows applications using csync to synchronize with a
 Samba or Windows server.
 .
 This is the version of csync used by OwnCloud.

Package: libocsync-plugin-sftp
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libocsync0 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: SFTP plugin for csync
 This plug-in allows applications using csync to synchronize with an
 SFTP server.
 .
 This is the version of csync used by OwnCloud.

Package: libocsync-plugin-owncloud
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libocsync0 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: OwnCloud plugin for csync
 This plug-in allows applications using csync to synchronize with an
 OwnCloud server.
 .
 This is the version of csync used by OwnCloud.

Package: libocsync-dev
Architecture: any
Section: libdevel
Depends: libocsync0 (= ${binary:Version}), ${misc:Depends}
Description: evelopment files for ocsync
 csync is an implementation of a file synchronizer which provides the
 feature of roaming home directories for Linux clients.
 .
 This is the version of csync used by OwnCloud.
 .
 This package contains the library development files.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo -DWITH_LOG4C=OFF \
		-DLOG_TO_CALLBACK=ON -DSYSCONF_INSTALL_DIR=/etc -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

## ocsync 0.80.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 set(APPLICATION_NAME ${PROJECT_NAME})
 
 set(APPLICATION_VERSION_MAJOR "0")
-set(APPLICATION_VERSION_MINOR "70")
-set(APPLICATION_VERSION_PATCH "4")
+set(APPLICATION_VERSION_MINOR "80")
+set(APPLICATION_VERSION_PATCH "0")
 
 set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
-project(libcsync C)
+project(libcsync)
 
 add_subdirectory(std)
+add_subdirectory(httpbf)
 
 # Statically include sqlite and iniparser
 if (CSYNC_STATIC_COMPILE_DIR)
@@ -16,6 +17,7 @@
 
 
 set(CSYNC_PUBLIC_INCLUDE_DIRS
+  ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_SOURCE_DIR}
   CACHE INTERNAL "csync public include directories"
@@ -46,6 +48,13 @@
     list(APPEND CSYNC_LINK_LIBRARIES ${ICONV_LIBRARIES})
 endif()
 
+set(BLACKLIST_ON_ERROR 0 CACHE BOOL
+  "If an errors occurs three times on the same file, do not attempt to process that file any further.")
+
+if(BLACKLIST_ON_ERROR)
+    add_definitions(-DBLACKLIST_ON_ERROR)
+endif()
+
 set(csync_SRCS
   csync.c
   csync_config.c
@@ -56,10 +65,13 @@
   csync_time.c
   csync_util.c
   csync_misc.c
+  csync_lock.c
 
   csync_update.c
   csync_reconcile.c
   csync_propagate.c
+
+  csync_rename.cc
 
   vio/csync_vio.c
   vio/csync_vio_handle.c
@@ -67,11 +79,10 @@
   vio/csync_vio_local.c
 )
 
-if(NOT WIN32)
-  list(APPEND csync_SRCS csync_lock.c)
-endif()
+configure_file(csync_version.h.in csync_version.h)
 
 set(csync_HDRS
+  ${CMAKE_CURRENT_BINARY_DIR}/csync_version.h
   csync.h
   vio/csync_vio.h
   vio/csync_vio_file_stat.h

=== debian/changelog ===
ocsync (0.80.0-1) unstable; urgency=low

  * 0.80.0 is a stable version, so release to unstable
  * Updated debian/libocsync0.symbols
  * Removed asciidoc from Build-Deps
  * Removed version dependency from Build-Dep cmake
  * Build with pkgkde_symbolshelper
  * Added pkg-kde-tools to Build-Deps

 -- Sandro Knauß <bugs@sandroknauss.de>  Thu, 15 Aug 2013 22:48:31 +0200

ocsync (0.70.92-1) experimental; urgency=low

  * New upstream release
  * Added Olivier Goffart as copyright holder
  * Updated debian/libocsync0.symbols
  * Updated watch file for testing version
  * Updated debian/copyright

 -- Sandro Knauß <bugs@sandroknauss.de>  Sun, 16 Jun 2013 00:54:23 +0200

ocsync (0.70.7-1) unstable; urgency=low

  [ David Prévot ]
  * Update Vcs-Git, Vcs-Browser, Homepage and Source fields

  [ Sandro Knauß ]
  * Imported Upstream version 0.70.7 (Closes: #705500)
  * Updated patches to use DEP3
  * Removed debian/patches/typos (Fixed upstream)
  * Updated debian/patches/0001-csync_config-Drop-iniparser-dependency.patch
  * Updated Symbols File
  * Added debian/patches/freebsd.patch to compile at FreeBSD
  * Bumped Standards-Version to 3.9.4

 -- Sandro Knauß <bugs@sandroknauss.de>  Sun, 12 May 2013 23:46:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: ocsync
 Section: net
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
+Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
 Uploaders: Sandro Knauß <bugs@sandroknauss.de>
-Build-Depends: debhelper (>= 9), cmake (>= 2.8.5), libsqlite3-dev, libneon27-gnutls-dev, libssh-dev, 
- libsmbclient-dev, check, asciidoc
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-owncloud/ocsync.git
-Vcs-browser: http://git.debian.org/?p=pkg-owncloud/ocsync.git
-Homepage: http://owncloud.org/dev/sync-clients/linux-build/
+Build-Depends: debhelper (>= 9), cmake, libsqlite3-dev, libneon27-gnutls-dev, libssh-dev,
+ libsmbclient-dev, check, pkg-kde-tools
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-owncloud/ocsync.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-owncloud/ocsync.git
+Homepage: http://owncloud.org/sync-clients/
 
 Package: ocsync
 Architecture: any
@@ -71,7 +70,7 @@
 Architecture: any
 Section: libdevel
 Depends: libocsync0 (= ${binary:Version}), ${misc:Depends}
-Description: evelopment files for ocsync
+Description: development files for ocsync
  csync is an implementation of a file synchronizer which provides the
  feature of roaming home directories for Linux clients.
  .

=== debian/watch ===
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://owncloud.org/sync-clients/ http://download.owncloud.com/download/ocsync-(.*)\.tar\.bz2

## ocsync 0.90.4

=== debian/changelog ===
ocsync (0.90.4-1) unstable; urgency=low

  * New upstream release.
  * Finding libsmbclient when using samba-4.0

 -- Sandro Knauß <bugs@sandroknauss.de>  Tue, 22 Oct 2013 00:33:14 +0200

ocsync (0.90.2-1) unstable; urgency=low

  * New upstream release.
  * Remove patches (applied upstream):
    - spelling-error-transferred.patch
    - update_manpage
  * Updated patch freebsd.patch (thanks Chamberlain & Toscano)
  * Added patch path_max.patch (thanks Signell & Toscano)

 -- Sandro Knauß <bugs@sandroknauss.de>  Thu, 26 Sep 2013 18:58:21 +0200

ocsync (0.90.0-1) unstable; urgency=low

  * New upstream release
  * Moved libocsync0 to section libs
  * Updated debian/libocsync0.symbols
  * Added patch to fix spelling-error-in-binary: transferred

 -- Sandro Knauß <bugs@sandroknauss.de>  Wed, 11 Sep 2013 20:03:13 +0200

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  This is the version of csync used by OwnCloud.
 
 Package: libocsync0
+Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}

## ocsync 0.91.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,12 @@
 set(APPLICATION_NAME ${PROJECT_NAME})
 
 set(APPLICATION_VERSION_MAJOR "0")
-set(APPLICATION_VERSION_MINOR "80")
-set(APPLICATION_VERSION_PATCH "0")
+set(APPLICATION_VERSION_MINOR "91")
+set(APPLICATION_VERSION_PATCH "4")
 
 set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")
 
-set(LIBRARY_VERSION "0.2.0")
+set(LIBRARY_VERSION "0.2.1")
 set(LIBRARY_SOVERSION "0")
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
@@ -25,11 +25,8 @@
 include(DefinePlatformDefaults)
 include(DefineCompilerFlags)
 include(DefineOptions.cmake)
-include(CPackConfig.cmake)
 
 include(DefineInstallationPaths)
-# install .dlls to bin/
-set(BIN_INSTALL_DIR "bin" CACHE PATH "-")
 
 # disallow in-source build
 include(MacroEnsureOutOfSourceBuild)
@@ -39,7 +36,9 @@
 include(MacroAddPlugin)
 include(MacroCopyFile)
 
-find_package(Iconv)
+if (NOT WIN32)
+    find_package(Iconv)
+endif (NOT WIN32)
 find_package(CMocka)
 if (CMOCKA_FOUND AND UNIT_TESTING)
     include(AddCMockaTest)
@@ -59,8 +58,6 @@
 endif (MEM_NULL_TESTS)
 
 add_subdirectory(src)
-add_subdirectory(modules)
-add_subdirectory(client)
 add_subdirectory(config)
 add_subdirectory(doc)

=== config/CMakeLists.txt ===
macro_copy_file(${CMAKE_CURRENT_SOURCE_DIR}/ocsync.conf ${CMAKE_CURRENT_BINARY_DIR}/ocsync.conf)
macro_copy_file(${CMAKE_CURRENT_SOURCE_DIR}/ocsync_exclude.conf ${CMAKE_CURRENT_BINARY_DIR}/ocsync_exclude.conf)

install(
  FILES
    ocsync.conf
    ocsync_exclude.conf
  DESTINATION
    ${SYSCONF_INSTALL_DIR}/ocsync
)

=== doc/CMakeLists.txt ===
project(doc C)
# Build the documentation
#

include(UseDoxygen OPTIONAL)

file(GLOB _manpages *.[0-9].txt)
add_custom_target(man
  COMMAND
    ${CMAKE_CURRENT_SOURCE_DIR}/makeman.sh ${_manpages}
  WORKING_DIRECTORY
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_custom_target(userguide
  COMMAND
    ${CMAKE_CURRENT_SOURCE_DIR}/makeguide.sh ocsync.txt
  WORKING_DIRECTORY
    ${CMAKE_CURRENT_SOURCE_DIR}
)

if (UNIX)
    install(
    FILES
        ocsync.1
    DESTINATION
        ${MAN_INSTALL_DIR}/man1
    )
    set(DOC_INSTALL_PATH ${SHARE_INSTALL_PREFIX}/doc/ocsync)
endif(UNIX)

if (WIN32)
    set(DOC_INSTALL_PATH ${SHARE_INSTALL_PREFIX}/doc)
endif (WIN32)

install(
  DIRECTORY
    userguide
  DESTINATION
    ${DOC_INSTALL_PATH}
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,17 +3,16 @@
 add_subdirectory(std)
 add_subdirectory(httpbf)
 
-# Statically include sqlite and iniparser
+# Statically include sqlite
 if (CSYNC_STATIC_COMPILE_DIR)
     set(SQLITE3_INCLUDE_DIRS "")
     set(SQLITE3_LIBRARIES "")
-    set(INIPARSER_LIBRARIES "")
-    set(INIPARSER_INCLUDE_DIRS "")
     include_directories(${CSYNC_STATIC_COMPILE_DIR})
 else (CSYNC_STATIC_COMPILE_DIR)
-    find_package(SQLite3 REQUIRED)
-    find_package(Iniparser REQUIRED)
+    find_package(SQLite3 3.3.9 REQUIRED)
 endif()
+
+find_package(Neon 0.29.0 REQUIRED)
 
 
 set(CSYNC_PUBLIC_INCLUDE_DIRS
@@ -24,9 +23,9 @@
 )
 
 set(CSYNC_PRIVATE_INCLUDE_DIRS
-  ${INIPARSER_INCLUDE_DIRS}
   ${SQLITE3_INCLUDE_DIRS}
   ${CSTDLIB_PUBLIC_INCLUDE_DIRS}
+  ${HTTPBF_PUBLIC_INCLUDE_DIRS}
   ${CMAKE_BINARY_DIR}
 )
 
@@ -39,12 +38,13 @@
   ${CSYNC_LIBRARY}
   ${CSTDLIB_LIBRARY}
   ${CSYNC_REQUIRED_LIBRARIES}
-  ${INIPARSER_LIBRARIES}
   ${SQLITE3_LIBRARIES}
+  ${NEON_LIBRARIES}
+  ${HTTPBF_LIBRARY}
 )
 
-if(ICONV_FOUND AND WITH_ICONV)
-    list(APPEND CSYNC_PRIVATE_INCLUDE_DIRS ${ICONV_INCLUDE_DIRS})
+if(HAVE_ICONV AND WITH_ICONV)
+    list(APPEND CSYNC_PRIVATE_INCLUDE_DIRS ${ICONV_INCLUDE_DIR})
     list(APPEND CSYNC_LINK_LIBRARIES ${ICONV_LIBRARIES})
 endif()
 
@@ -69,7 +69,6 @@
 
   csync_update.c
   csync_reconcile.c
-  csync_propagate.c
 
   csync_rename.cc
 
@@ -77,9 +76,13 @@
   vio/csync_vio_handle.c
   vio/csync_vio_file_stat.c
   vio/csync_vio_local.c
+
+  csync_owncloud.c
+  csync_owncloud_recursive_propfind.c
+  csync_owncloud_util.c
 )
 
-configure_file(csync_version.h.in csync_version.h)
+configure_file(csync_version.h.in ${CMAKE_CURRENT_BINARY_DIR}/csync_version.h)
 
 set(csync_HDRS
   ${CMAKE_CURRENT_BINARY_DIR}/csync_version.h
@@ -91,9 +94,9 @@
   vio/csync_vio_module.h
 )
 
-# Statically include sqlite and iniparser
+# Statically include sqlite
 if (CSYNC_STATIC_COMPILE_DIR)
-    list(APPEND csync_SRCS ${CSYNC_STATIC_COMPILE_DIR}/dictionary.c ${CSYNC_STATIC_COMPILE_DIR}/iniparser.c ${CSYNC_STATIC_COMPILE_DIR}/sqlite3.c)
+    list(APPEND csync_SRCS ${CSYNC_STATIC_COMPILE_DIR}/dictionary.c  ${CSYNC_STATIC_COMPILE_DIR}/sqlite3.c)
 endif()
 
 include_directories(

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
   ${CSTDLIB_PUBLIC_INCLUDE_DIRS}
   ${CMAKE_BINARY_DIR}
   ${CMOCKA_INCLUDE_DIR}
+  ${HTTPBF_PUBLIC_INCLUDE_DIRS}
 )
 
 include_directories(${CHECK_INCLUDE_DIRS})
@@ -34,19 +35,25 @@
 #add_cmocka_test(check_logger log_tests/check_log.c ${TEST_TARGET_LIBRARIES})
 
 add_cmocka_test(check_csync_create csync_tests/check_csync_create.c ${TEST_TARGET_LIBRARIES})
-if ( NOT WIN32 )
-add_cmocka_test(check_csync_lock csync_tests/check_csync_lock.c ${TEST_TARGET_LIBRARIES})
-endif( NOT WIN32)
+# Disable lock testing for us.
+# if(NOT WIN32)
+# add_cmocka_test(check_csync_lock csync_tests/check_csync_lock.c ${TEST_TARGET_LIBRARIES})
+# endif()
 add_cmocka_test(check_csync_log csync_tests/check_csync_log.c ${TEST_TARGET_LIBRARIES})
 add_cmocka_test(check_csync_config csync_tests/check_csync_config.c ${TEST_TARGET_LIBRARIES})
 add_cmocka_test(check_csync_exclude csync_tests/check_csync_exclude.c ${TEST_TARGET_LIBRARIES})
 add_cmocka_test(check_csync_statedb_load csync_tests/check_csync_statedb_load.c ${TEST_TARGET_LIBRARIES})
 add_cmocka_test(check_csync_time csync_tests/check_csync_time.c ${TEST_TARGET_LIBRARIES})
 add_cmocka_test(check_csync_util csync_tests/check_csync_util.c ${TEST_TARGET_LIBRARIES})
+add_cmocka_test(check_csync_misc csync_tests/check_csync_misc.c ${TEST_TARGET_LIBRARIES})
 
 # csync tests which require init
 add_cmocka_test(check_csync_init csync_tests/check_csync_init.c ${TEST_TARGET_LIBRARIES})
 add_cmocka_test(check_csync_statedb_query csync_tests/check_csync_statedb_query.c ${TEST_TARGET_LIBRARIES})
+add_cmocka_test(check_csync_commit csync_tests/check_csync_commit.c ${TEST_TARGET_LIBRARIES})
+
+# treewalk
+add_cmocka_test(check_csync_treewalk csync_tests/check_csync_treewalk.c ${TEST_TARGET_LIBRARIES})
 
 # vio
 add_cmocka_test(check_vio_handle vio_tests/check_vio_handle.c ${TEST_TARGET_LIBRARIES})
@@ -56,5 +63,11 @@
 # sync
 add_cmocka_test(check_csync_update csync_tests/check_csync_update.c ${TEST_TARGET_LIBRARIES})
 
-add_subdirectory(ownCloud)
+# encoding
+add_cmocka_test(check_encoding_functions encoding_tests/check_encoding.c ${TEST_TARGET_LIBRARIES})
 
+# httpbf
+set(TEST_HTTPBF_LIBRARIES ${TEST_TARGET_LIBRARIES} ${NEON_LIBRARIES})
+add_cmocka_test(check_httpbf httpbf_tests/hbf_send_test.c ${TEST_HTTPBF_LIBRARIES} )
+
+

=== src/httpbf/CMakeLists.txt ===
project(httpbflib C)

find_package(Neon)


set(HTTPBF_PUBLIC_INCLUDE_DIRS
  ${CMAKE_CURRENT_SOURCE_DIR}/src
  ${NEON_INCLUDE_DIRS}
  CACHE INTERNAL "httpbflib public include directories"
)

set(HTTPBF_LIBRARY
  httpbf
  CACHE INTERNAL "httpbf library"
)

set(HTTPBF_LINK_LIBRARIES
  ${HTTPBF_LIBRARY}
)

set(httpbf_SRCS
  src/httpbf.c
)
set(httpbf_HEADERS
  src/httpbf.h
)

include_directories(
  ${HTTPBF_PUBLIC_INCLUDE_DIRS}
)

add_library(${HTTPBF_LIBRARY} STATIC ${httpbf_SRCS})
target_link_libraries(${HTTPBF_LIBRARY} ${NEON_LIBRARIES})

if(NOT WIN32)
    add_definitions( -fPIC )
endif()

INSTALL(
    TARGETS
    ${HTTPBF_LIBRARY}
    LIBRARY DESTINATION
    ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION
    ${LIB_INSTALL_DIR}
    RUNTIME DESTINATION
    ${BIN_INSTALL_DIR}
)

INSTALL(
    FILES
    ${httpbf_HEADERS}
    DESTINATION
    ${CMAKE_INSTALL_INCLUDEDIR}
)

=== src/std/CMakeLists.txt ===
project(cstdlib C)

set(CSTDLIB_PUBLIC_INCLUDE_DIRS
  ${CMAKE_CURRENT_SOURCE_DIR}
  CACHE INTERNAL "cstdlib public include directories"
)

set(CSTDLIB_PRIVATE_INCLUDE_DIRS
  ${ICONV_INCLUDE_DIR}
)

set(CSTDLIB_LIBRARY
  cstdlib
  CACHE INTERNAL "cstdlib library"
)

set(CSTDLIB_LINK_LIBRARIES
  ${CSTDLIB_LIBRARY}
)

set(cstdlib_SRCS
  c_alloc.c
  c_dir.c
  c_file.c
  c_list.c
  c_path.c
  c_rbtree.c
  c_string.c
  c_time.c
)

include_directories(
  ${CSTDLIB_PUBLIC_INCLUDE_DIRS}
  ${CSTDLIB_PRIVATE_INCLUDE_DIRS}
)

add_library(${CSTDLIB_LIBRARY} STATIC ${cstdlib_SRCS})
if(NOT WIN32)
    add_definitions( -fPIC )
endif()
if(NOT HAVE_FNMATCH AND WIN32)
  # needed for PathMatchSpec for our fnmatch replacement
  target_link_libraries(${CSTDLIB_LIBRARY} ${SHLWAPI_LIBRARY})
endif()

=== src/httpbf/client/CMakeLists.txt ===
project(client C)

set(CLIENT_EXECUTABLE httpbfclient CACHE INTERNAL "httpbf client")

set(CLIENT_LINK_LIBRARIES ${NEON_LIBRARIES} ${HBF_LIBRARY})

set(HTTPBF_INCLUDE_DIR ${CMAKE_SOURCE_DIR}/src})

if(NOT LINUX)
  list(APPEND CLIENT_LINK_LIBRARIES ${ARGP_LIBRARIES})
endif()

set(client_SRCS
  httpbf_client.c
)

include_directories(
  ${HTTPBF_INCLUDE_DIR}
  ${HTTPBF_PUBLIC_INCLUDE_DIRS}
)

add_executable(${CLIENT_EXECUTABLE} ${client_SRCS})

target_link_libraries(${CLIENT_EXECUTABLE} ${CLIENT_LINK_LIBRARIES})

set_target_properties(
  ${CLIENT_EXECUTABLE}
  PROPERTIES
    OUTPUT_NAME
     httpbf 
)

# install( TARGETS ${CLIENT_EXECUTABLE}  DESTINATION ${BIN_INSTALL_DIR} )
install(TARGETS ${CLIENT_EXECUTABLE} DESTINATION bin)

=== src/httpbf/src/CMakeLists.txt ===
project(httpbf C)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked

set(HTTPBF_PUBLIC_INCLUDE_DIRS
  ${CMAKE_CURRENT_SOURCE_DIR}
  CACHE INTERNAL "httpbf public include directories"
)

set(HTTPBFLIB_PRIVATE_INCLUDE_DIRS
)

set(HBF_LIBRARY
  httpbf
  CACHE INTERNAL "httpbflib library"
)

set(HTTPBFLIB_LINK_LIBRARIES
  ${HBF_LIBRARY}
)

set(httpbflib_SRCS
  httpbf.c
)

include_directories(
  ${NEON_INCLUDE_DIRS}
  ${GLIB2_INCLUDE_DIRS}
)

if(NOT WIN32)
    add_definitions( -fPIC )
endif()

add_library(${HBF_LIBRARY} SHARED ${httpbflib_SRCS} )

target_link_libraries(${HBF_LIBRARY} ${NEON_LIBRARIES})

=== debian/changelog ===
ocsync (0.91.4-1) unstable; urgency=medium

  * New upstream stable release.
  * Updated debian/copyright
  * Track stable version of ocsync and release to unstable.
  * Removed applied patches:
    - freebsd.patch
    - patch_max.patch

 -- Sandro Knauß <bugs@sandroknauss.de>  Fri, 13 Dec 2013 15:28:06 +0100

ocsync (0.91.1-1) experimental; urgency=low

  * New upstream release
  * Removed osync package:
    - No more ocsync executeable
  * Removed packages (included now in libocsync):
    - libocsync-plugin-owncloud
    - libocsync-plugin-smb
    - libocsync-plugin-sftp
  * Remove nonexisting Recommends
  * Bumped Standards-Version
  * Added httpbf files to libocsync-dev
  * Updated debian/libocsync0.symbols
  * Updated debian/copyright
  * Updated debian/watch to match for testing
  * Removed patches:
    - 0001-csync_config-Drop-iniparser-dependency.patch
    - find-libsmbclientclient.patch

 -- Sandro Knauß <bugs@sandroknauss.de>  Sun, 08 Dec 2013 21:52:39 +0100

=== debian/control ===
Source: ocsync
Section: net
Priority: optional
Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Sandro Knauß <bugs@sandroknauss.de>
Build-Depends: debhelper (>= 9), cmake, libsqlite3-dev, libneon27-gnutls-dev, libssh-dev,
 libsmbclient-dev, check, pkg-kde-tools
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-owncloud/ocsync.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-owncloud/ocsync.git
Homepage: http://owncloud.org/sync-clients/

Package: libocsync0
Section: libs
Architecture: any
Multi-Arch: same
Provides: libocsync-plugin-owncloud, libocsync-plugin-smb, libocsync-plugin-sftp
Replaces: libocsync-plugin-owncloud, libocsync-plugin-smb, libocsync-plugin-sftp
Breaks: libocsync-plugin-owncloud, libocsync-plugin-smb, libocsync-plugin-sftp
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library for user level bidirectional client only file synchronizer
 This is the major library for csync.
 .
 csync is an implementation of a file synchronizer which provides the
 feature of roaming home directories for Linux clients.
 .
 This is the version of csync used by OwnCloud.

Package: libocsync-dev
Architecture: any
Section: libdevel
Depends: libocsync0 (= ${binary:Version}), ${misc:Depends}
Description: development files for ocsync
 csync is an implementation of a file synchronizer which provides the
 feature of roaming home directories for Linux clients.
 .
 This is the version of csync used by OwnCloud.
 .
 This package contains the library development files.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo -DWITH_LOG4C=OFF \

=== debian/watch ===
--- 
+++ 
@@ -5,4 +5,4 @@
 # Compulsory line, this is a version 3 file
 version=3
 
-http://owncloud.org/sync-clients/ http://download.owncloud.com/download/ocsync-(.*)\.tar\.bz2
+http://owncloud.org/sync-clients/ http://download.owncloud.com/desktop/stable/ocsync-(.*)\.tar\.bz2

## ocsync 0.91.4-1

=== CMakeLists.txt ===
--- 
+++ 
@@ -65,7 +65,7 @@
     add_subdirectory(tests)
 endif (CMOCKA_FOUND AND UNIT_TESTING)
 
-configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
+configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/csync_compconfig.h)
 configure_file(config_test.h.cmake  ${CMAKE_CURRENT_BINARY_DIR}/config_test.h)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -86,6 +86,7 @@
 
 set(csync_HDRS
   ${CMAKE_CURRENT_BINARY_DIR}/csync_version.h
+  ${CMAKE_CURRENT_BINARY_DIR}/../csync_compconfig.h
   csync.h
   vio/csync_vio.h
   vio/csync_vio_file_stat.h
@@ -105,6 +106,7 @@
 )
 
 add_library(${CSYNC_LIBRARY} SHARED ${csync_SRCS})
+#SET(CMAKE_C_FLAGS "-Wall -O0 -ggdb -fstack-protector-all")
 
 target_link_libraries(${CSYNC_LINK_LIBRARIES})

=== debian/changelog ===
ocsync (0.91.4-1) unstable; urgency=low

  * Initial release

 -- Ralf Dragon <dragon@vision.ee.ethz.ch>  Sun, 26 Jan 2014 12:22:33 +0000

=== debian/control ===
Source: ocsync
Priority: extra
Maintainer: Ralf Dragon <dragon@vision.ee.ethz.ch>
Build-Depends: debhelper (>= 7), cmake, maemo-optify, libneon27-dev, libneon27, libsqlite3-dev, libsqlite3-0, qtkeychain-dev, qtkeychain
Standards-Version: 3.8.3
Section: libs
Homepage: http://download.owncloud.com

Package: ocsync-dev
Section: libdevel
Architecture: any
Depends: ocsync (= ${binary:Version}), qtkeychain-dev, libneon27-dev, libsqlite3-dev
Description: Owncloud version of csync (development files)

Package: ocsync
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} qtkeychain, libneon27, libsqlite3-0
Description: Owncloud version of csync
